/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const refundRouter = {
  path: "/refund-old",
  component: Layout,
  redirect: "/refund-old/refundList",
  name: "afterSales",
  meta: { title: "afterSales", icon: "refund" },
  children: [
    {
      path: "refundList",
      component: () => import("@/views/oms/refund-old/refundList"),
      name: "refundList",
      meta: { title: "refundManagement" }
    },
    {
      path: "refundCwList",
      component: () => import("@/views/oms/refund-old/refundCwList"),
      name: "refundCwList",
      meta: { title: "financialAudit" }
    },
    {
      path: "returnList",
      component: () => import("@/views/oms/refund-old/returnDetailList.vue"),
      name: "returnList",
      meta: { title: "returnManagement" }
    },
    {
      path: "refundReason",
      component: () => import("@/views/oms/refund-old/refundReason.vue"),
      name: "refundReason",
      meta: { title: "refundReasons" }
    },
    {
      path: "autoRefund",
      component: () => import("@/views/oms/refund-old/autoRefund.vue"),
      name: "autoRefund",
      meta: { title: "自动退款配置" }
    },
    {
      path: "shippingFeeRule",
      component: () => import("@/views/oms/refund-old/shippingFeeRule.vue"),
      name: "shippingFeeRule",
      meta: { title: "slFreightRules" }
    }
  ]
};
export default refundRouter;
